## malaga 4.3

=== Makefile ===
# overall building and cleaning rules for Malaga ==============================

all:
	(cd source; $(MAKE) all)

new: clean all

clean:
	(cd source; $(MAKE) clean)

generic:
	(cd doc; $(MAKE) new; rm -f *.aux *.log *.toc *.ps)
	(cd grammars; $(MAKE) clean)
	(cd source; $(MAKE) clean)
	rm -f *~ doc/*~ tcl/*~ source/*~ man/man1/*~

public: generic all

# end of file =================================================================
