=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# building and cleaning rules for documentation ===============================

.SUFFIXES: .tex .dvi

# Compile a tex file twice to get the table of contents.
.tex.dvi:
	latex $<
	latex $<

all: malaga.dvi

new: clean all

clean:
	rm -f *.aux *.dvi *.log *.toc *.ps

# end of file =================================================================
