=== grammars/Makefile ===
# Generated automatically from Makefile.in by configure.
# building and cleaning rules for Malaga example grammars =====================

all:
	(cd formal; malmake formal1.pro)
	(cd formal; malmake formal2.pro)
	(cd formal; malmake formal3.pro)
	(cd formal; malmake formal4.pro)
	(cd formal; malmake formal5.pro)
	(cd formal; malmake formal6.pro)
	(cd formal; malmake formal7.pro)
	(cd formal; malmake formal8.pro)
	(cd german; malmake german.pro)
	(cd numeral; malmake numeral.pro)

clean:
	(cd formal; rm -f *_c *~ *.cat)
	(cd german; rm -f *_c *~ *.cat)
	(cd numeral; rm -f *_c *~ *.cat)
	rm -f *~

new: clean all

# end of file =================================================================
