## malaga 7.12

=== debian/changelog ===
malaga (7.12-9) unstable; urgency=medium

  * QA upload.
  * debian/rules: Fix build failure when building arch:all only.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 01 May 2022 13:18:29 -0700

malaga (7.12-8) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * QA upload.
  * debian/rules: Export FORCE_SOURCE_DATE=1 in order for texlive to
    respect SOURCE_DATE_EPOCH when generating .dvi, .pdf and .ps files.
    Closes: #995654
  * malaga-bin.preinst: Use "set -e" in script.
  * debian/control: Drop redundant Priority and Section fields.
  * Update to debhelper-compat 13.
  * debian/control: Set Rules-Requires-Root to "no".
  * libmalaga7: Switch ldconfig to use dpkg triggers.
  * debian/control: Update Standards-Version to 4.6.0.

  [ Helmut Grohne ]
  * Fix FTCBFS: Closes: #870727
    + Add cross.patch.
    + Do not build the documentation during arch-only.
    + Do not strip during install.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 30 Apr 2022 20:50:59 -0700

malaga (7.12-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 00:33:19 +0100

malaga (7.12-7) unstable; urgency=low

  * QA upload.
  * Switch to "dh".
  * Switch to "3.0 (quilt)" source format.
  * Upgrade to debhelper compatibility level 9.
  * Drop watch file. Upstream source is no longer there.
  * Add ldconfig in postinst for libmalaga7 (lintian warning).
  * Source may be built with "dpkg-buildpackage -A". Closes: 805950.

 -- Santiago Vila <sanvila@debian.org>  Thu, 07 Apr 2016 11:51:00 +0200

malaga (7.12-6) unstable; urgency=medium

  * Orphaned package, set maintainer to Debian QA Group.

 -- Timo Jyrinki <timo@debian.org>  Fri, 04 Mar 2016 15:10:24 +0200

malaga (7.12-5.2) unstable; urgency=medium

  * Non maintainer upload.
  * Explicity call dh_autotools-dev_{update,restore}config to update
    config.{guess,sub} files.
  * Use dpkg-buildflags.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Aug 2014 11:24:54 +0200

malaga (7.12-5.1) unstable; urgency=medium

  * Non maintainer upload.
  * Build using dh-autoreconf. Closes: #755915.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Aug 2014 15:35:21 +0200

malaga (7.12-5) unstable; urgency=medium

  * Switch to emacs24 (Closes: #754023)

 -- Timo Jyrinki <timo@debian.org>  Wed, 09 Jul 2014 20:43:52 +0300

malaga (7.12-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ld: canvas.o: undefined reference to symbol
    'ceil@@GLIBC_2.2.5'":
    add patch link-libm.diff from Ubuntu / Matthias Klose:
    link against libm.
    (Closes: #713582)
  * Add patch texinfo.diff from Ubuntu / Matthias Klose:
    fix malaga.texi to work with newer texinfo.
    (Closes a not-yet-reported FTBFS bug)
  * Update patch install_info_fix.difff:
    - comment out call to install-info (happens via triggers)
    - drop redifinition of INSTALL_INFO
      (wrong path and not used anymore anyway)
    (Closes yet another not-yet-reported FTBFS bug)

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Nov 2013 17:38:17 +0100

malaga (7.12-4) unstable; urgency=low

  [ Sven Joachim ]
  * Do not unnecessesarily link against ncurses (Closes: #646740).

  [ Timo Jyrinki ]
  * Update Standards-Version
  * Fix debian-rules-missing-recommended-target
  * Fix package description lintian warnings
  * Update emacs dependency

 -- Timo Jyrinki <timo@debian.org>  Sat, 17 Dec 2011 12:03:46 +0200

malaga (7.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (Closes: #619686).

 -- Luk Claes <luk@debian.org>  Mon, 30 May 2011 19:10:51 +0200

malaga (7.12-3) unstable; urgency=low

  * Change to depend on libreadline-dev
  * Update Standards-Version to 3.8.3
  * Lintian fixes
  - Tighten quilt dependency, add README.source
  - Add ${misc:Depends} to binary packages because of debhelper usage
  - Add dpkg (>= 1.15.4) | install-info dependency

 -- Timo Jyrinki <timo@debian.org>  Thu, 17 Sep 2009 18:53:50 +0300

malaga (7.12-2) unstable; urgency=low

  * Update maintainer address to my Debian address
  * Update compat level to 7
  * Update Standards-Version to 3.8.2
  * Update install scripts
  * Add malaga-rename-map_file.diff via quilt to prevent name clash
  - https://bugzilla.redhat.com/show_bug.cgi?id=502546
  * Convert earlier Makefile.in/malaga.el changes to patches as well

 -- Timo Jyrinki <timo@debian.org>  Wed, 17 Jun 2009 15:13:11 +0300

malaga (7.12-1) unstable; urgency=low

  * New upstream version
    - Add libcairo-dev dependency since malshow now uses cairo
  * Change require to autoload in emacsen-startup (Closes: #446235)
    - Modify upstream malaga.el accordingly
  * Update dependencies of malaga-mode to emacs22 | emacsen
  * Fix piuparts problem when upgrading from <= 7.8-4 (Closes: #454714)
  * Update Standards-Version to 3.7.3 (no changes required)
  * Update rules to not ignore make clean error (lintian)
  * Update malaga-doc.* to reflect change to single html file, update section

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 15 Apr 2008 16:48:51 +0300

malaga (7.11-1) unstable; urgency=low

  * New upstream version (Closes: #425366)
  * debian/copyright: also later GPL versions are allowed now in Malaga
  * Handle nostrip (Closes: #437597)

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Thu, 30 Aug 2007 22:59:03 +0300

malaga (7.9-1) unstable; urgency=low

  * New upstream version
  * Add a colon in changelog and remove DH_COMPAT from rules (Lintian)
  * Byte-compile malaga.el, add prerm/postinst (Closes: #385401)
  * Separate emacs mode into malaga-mode
  * Change dependencies to texlive

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Fri, 11 May 2007 17:20:23 +0300

malaga (7.8-4) unstable; urgency=low

  * Update descriptions as requested
  * Comment out the man-page generation, so that they're noticed as missing

