=== debian/control ===
Source: malaga
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13), libgtk2.0-dev, libglib2.0-dev, texinfo, texlive, libreadline-dev, libcairo-dev, dpkg (>= 1.15.4) | install-info, pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: malaga-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: malaga-doc, info | info-browser
Suggests: malaga-mode
Description: System for automatic language analysis
 Malaga is a system for implementing natural language analysers:
 both grammars and morphologies can be created.
 You will not be needing this package if you do not intend
 to do research on computer linguistics or develop computer
 programs that need to do advanced processing of natural
 languages.
 .
 This package contains a set of standalone programs that can be
 used in developing and playing with grammars and morphologies.
 One of the programs uses a Tk/TCL module for displaying
 graphical analysis trees.

Package: libmalaga7
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmalaga1-dev, libmalaga2-dev
Description: Automatic language analysis library
 Malaga is a system for implementing natural language analysers:
 both grammars and morphologies can be created.
 .
 This package contains the shared library supporting other
 programs that use the Malaga engine.  Malaga itself does
 not use this library.

Package: libmalaga-dev
Architecture: any
Section: libdevel
Depends: libmalaga7 (=${binary:Version}), libglib2.0-dev, ${misc:Depends}
Conflicts: libmalaga1-dev, libmalaga2-dev
Suggests: malaga-bin
Description: Developer's library for automatic language analysis
 Malaga is a system for implementing natural language analysers:
 both grammars and morphologies can be created.
 You will not be needing this package if you do not intend
 to do research on computer linguistics or develop computer
 programs that need to do advanced processing of natural
 languages.
 .
 This package contains the static library and header file
 for developing programs that use the Malaga engine.

Package: malaga-doc
Architecture: all
Section: doc
Suggests: malaga-bin, doc-base
Depends: ${misc:Depends}
Description: Documentation for an automatic language analysis system
 Malaga is a system for implementing natural language analysers:
 both grammars and morphologies can be created.
 You will not be needing this package if you do not intend
 to do research on computer linguistics or develop computer
 programs that need to do advanced processing of natural
 languages.
 .
 This package contains the Malaga documentation in HTML and
 PostScript, DVI, and PDF.  To read it you will need appropriate
 viewers.  The malaga-bin package contains documentation in
 info format.

Package: malaga-mode
Section: editors
Architecture: all
Suggests: malaga-bin
Depends: emacs | emacsen, ${misc:Depends}
Description: System for automatic language analysis - emacs mode
 Malaga is a system for implementing natural language analysers:
 both grammars and morphologies can be created.
 You will not be needing this package if you do not intend
 to do research on computer linguistics or develop computer
 programs that need to do advanced processing of natural
 languages.
 .
 This package contains the emacs malaga-mode.
