=== debian/rules ===
#!/usr/bin/make -f

# Ensure texlive respects SOURCE_DATE_EPOCH
export FORCE_SOURCE_DATE=1

export INSTALL=install --strip-program=true

%:
	dh $@

override_dh_auto_clean:
	rm -rf build-doc
	dh_auto_clean

override_dh_auto_configure-indep:
	mkdir -p build-doc
	cd build-doc && ../configure --prefix=/usr

override_dh_auto_build-indep:
	$(MAKE) -C build-doc dvi html ps pdf

override_dh_install-indep:
	# install malaga.el as malaga-mode.el
	rm -f $(CURDIR)/debian/tmp/usr/share/malaga/malaga.el
	mkdir -p $(CURDIR)/debian/tmp/usr/share/malaga/
	mv $(CURDIR)/malaga.el $(CURDIR)/debian/tmp/usr/share/malaga/malaga-mode.el
	dh_install -i

override_dh_install-arch:
	for file in debian/tmp/usr/lib/*/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done
	dh_install -a
	cp -a $(CURDIR)/README.txt $(CURDIR)/debian/malaga-bin/usr/share/doc/malaga-bin/README

override_dh_missing:
	dh_missing --list-missing
